<p align="center">
  <a href="https://nishantpainter.github.io/personal-kanban/" rel="noopener" target="_blank"><img width="756" src="https://nishantpainter.github.io/personal-kanban/readme_logo_in.png" alt="Personal Kanban logo"></a></p>
</p>

#

<p align="center">
  आपकी व्यक्तिगत परियोजनाओं और कार्य प्रवाह के लिए एक आभासी ऑफ़लाइन कानबन बोर्ड।
</p>

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/description.gif" alt="Description GIF" style="border-radius:16px"></p>
</p>

[![Current Version](https://img.shields.io/badge/version-1.0.0-green.svg)](https://nishantpainter.github.io/personal-kanban) [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-orange.svg?style=flat-square)](http://makeapullrequest.com) [![License](https://img.shields.io/github/license/day8/re-frame.svg)](https://github.com/nishantpainter/personal-kanban/blob/main/license.txt) [![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-blue.svg)](https://github.com/nishantpainter/personal-kanban/commits/main) [![GitHub issues](https://img.shields.io/github/issues/Naereen/StrapDown.js.svg)](https://github.com/nishantpainter/personal-kanban/issues)

[English](https://github.com/nishantpainter/personal-kanban/blob/main/README.md) - [Français](https://github.com/nishantpainter/personal-kanban/blob/main/README_FR.md) - [Español](https://github.com/nishantpainter/personal-kanban/blob/main/README_ES.md) - [Pусский](https://github.com/nishantpainter/personal-kanban/blob/main/README_RU.md) - [Deutsche](https://github.com/nishantpainter/personal-kanban/blob/main/README_DE.md) - [हिंदी](https://github.com/nishantpainter/personal-kanban/blob/main/README_IN.md) - [中文](https://github.com/nishantpainter/personal-kanban/blob/main/README_CN.md) - [日本人](https://github.com/nishantpainter/personal-kanban/blob/main/README_JP.md)

पर्सनल कानबन एक ऑफ़लाइन सक्षम अनुप्रयोग या उपकरण है जो व्यक्तिगत स्तर पर कार्य का प्रबंधन करने के लिए कानबन को लागू करता है। कार्य आइटम को आपकी कार्य प्रक्रिया के प्रत्येक चरण को दर्शाने के लिए रिकॉर्ड और कॉलम के रूप में दर्शाया जा सकता है। कॉलम "टूडू", "इन-प्रोग्रेस" और "किया" जैसे सरल हो सकते हैं, या यह आपके प्रवाह के अनुरूप जटिल हो सकते हैं।

यह आपके वर्कफ़्लो की कल्पना और अनुकूलन करने का एक उपकरण है। भौतिक बोर्ड कुछ के बीच लोकप्रिय हैं, जबकि व्यक्तिगत कंबन जैसे आभासी बोर्ड अपनी पहुंच, सादगी और सुरुचिपूर्ण प्रदर्शन को देखते हुए चुस्त सॉफ्टवेयर विकास में महत्वपूर्ण भूमिका निभाते हैं। भले ही कोई बोर्ड भौतिक या आभासी हो, उसे रुकावट और अन्य निर्भरताओं की स्पष्ट रूप से पहचान करने के साथ-साथ नेत्रहीन रूप से काम करना चाहिए। इनमें से प्रत्येक सुविधाएँ व्यक्तिगत कानबन द्वारा मूल रूप से पेश की जाती हैं।

लचीलेपन के साथ अपने काम की योजना बनाएं, बाधाओं को पहचानें और हल करें और अपना पूरा काम नेत्रहीन करें।

# विषय - सूची

- **[परिचय](#परिचय)**
- **[विशेषताएं](#विशेषताएं)**
- **[कैसे इस्तेमाल करे](#कैसे-इस्तेमाल-करे)**
  - **[कॉलम जोड़ें](#कॉलम-जोड़ें)**
  - **[कॉलम संपादित करें](#कॉलम-संपादित-करें)**
  - **[कॉलम हटाएं](#कॉलम-हटाएं)**
  - **[कॉलम को स्थानांतरित करें](#कॉलम-को-स्थानांतरित-करें)**
  - **[रिकॉर्ड जोड़ें](#रिकॉर्ड-जोड़ें)**
  - **[रिकॉर्ड संपादित करें](#रिकॉर्ड-संपादित-करें)**
  - **[रिकॉर्ड हटाएं](#रिकॉर्ड-हटाएं)**
  - **[रिकॉर्ड को स्थानांतरित करें](#रिकॉर्ड-को-स्थानांतरित-करें)**
  - **[सभी रिकॉर्ड हटाएं](#सभी-रिकॉर्ड-हटाएं)**
  - **[मिटाएँ बोर्ड](#मिटाएँ-बोर्ड)**
  - **[भाषा बदलो](#भाषा-बदलो)**
  - **[डार्क मोड टॉगल करें](#डार्क-मोड-टॉगल-करें)**
- **[डार्क मोड](#डार्क-मोड)**
- **[स्थानीयकरण](#स्थानीयकरण)**
- **[ऑफ़लाइन उपयोग](#ऑफ़लाइन-उपयोग)**
- **[डेवलपमेंट](#डेवलपमेंट)**
- **[प्राइवेसी](#प्राइवेसी)**
- **[अन्य संदर्भ](#अन्य-संदर्भ)**

## परिचय

यह एक फुर्तीली परियोजना प्रबंधन उपकरण है जो आपको अपने काम की कल्पना करने, अपनी कार्य-प्रगति (wip) को सीमित करने और अधिकतम उत्पादन प्राप्त करने के लिए अपने कार्य प्रवाह को शिल्प और अनुकूलित करने में मदद करता है। इसे प्राप्त करने के लिए, यह कॉलम और रिकॉर्ड का उपयोग करता है। व्यक्तिगत कानबन आपको सफलता के लिए स्थापित करने के लिए दृश्य सुराग, स्तंभ, सीमाएं, आरंभ बिंदु और अंतिम बिंदु प्रदान करता है।

## विशेषताएं

कुछ चीजें जो आप व्यक्तिगत कानबन के साथ कर सकते हैं:

- कॉलम जोड़ें, संपादित करें, हटाएं
- कॉलम को स्थानांतरित करें
- रिकॉर्ड जोड़ें, संपादित करें, हटाएं
- रिकॉर्ड को स्थानांतरित करें
- कॉलम के लिए WIP सीमा सीमित करें
- स्तंभ और रिकॉर्ड्स पृष्ठभूमि रंग प्रबंधित करें
- बोर्ड मिटाएँ
- डार्क मोड
- स्थानीयकरण समर्थन
- ऑफलाइन स्थानीय भंडारण

## कैसे इस्तेमाल करे

आप आवेदन पर जाकर देख सकते हैं [
वेबसाइट](https://nishantpainter.github.io/personal-kanban/)
एप्लिकेशन में निम्नानुसार एक सुविधा सेट है:

### कॉलम जोड़ें

टूलबार से + आइकन बटन पर क्लिक करके एक नया कॉलम जोड़ें। शीर्षक (अनिवार्य), विवरण, पृष्ठभूमि का रंग और पोंछने की सीमा सहित कॉलम का विवरण दर्ज करें।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/add_column.gif" alt="Add Column GIF" style="border-radius:16px"></p>
</p>

### कॉलम संपादित करें

कॉलम शीर्षक के अलावा संपादन आइकन बटन पर क्लिक करके कॉलम को संपादित करें। फ़ॉर्म को अपडेट करें और बदलाव को रद्द करने या संवाद को रद्द करने के लिए सबमिट पर क्लिक करें।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/edit_column.gif" alt="Edit Column GIF" style="border-radius:16px"></p>
</p>

### कॉलम हटाएं

संपादन आइकन बटन के अलावा डिलीट आइकन बटन पर क्लिक करके कॉलम को हटाएं। यह कॉलम के लिए सभी रिकॉर्ड के साथ कॉलम को हटा देगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/delete_column.gif" alt="Delete Column GIF" style="border-radius:16px"></p>
</p>

### कॉलम को स्थानांतरित करें

बोर्ड पर अन्य स्तंभों पर ले जाने के लिए स्तंभ को शरीर या स्तंभ शीर्ष से पकड़ कर खींचें।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/move_column.gif" alt="Move Column GIF" style="border-radius:16px"></p>
</p>

### रिकॉर्ड जोड़ें

कॉलम शीर्षक / विवरण के नीचे ऐड आइकन बटन पर क्लिक करके एक नया रिकॉर्ड जोड़ें। रिकॉर्ड शीर्षक (अनिवार्य), विवरण और पृष्ठभूमि का रंग दर्ज करें। एक नया रिकॉर्ड सबमिट करने पर कैप्शन के रूप में निर्मित टाइमस्टैम्प के साथ कॉलम में जोड़ा जाएगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/add_record.gif" alt="Add Record GIF" style="border-radius:16px"></p>
</p>

### रिकॉर्ड संपादित करें

रिकॉर्ड शीर्षक के अलावा संपादन आइकन बटन पर क्लिक करके रिकॉर्ड संपादित करें। फ़ॉर्म को अपडेट करें और बदलाव को रद्द करने या संवाद को रद्द करने के लिए सबमिट पर क्लिक करें।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/edit_record.gif" alt="Edit Record GIF" style="border-radius:16px"></p>
</p>

### रिकॉर्ड हटाएं

रिकॉर्ड संपादित करें आइकन बटन के अलावा डिलीट आइकन बटन पर क्लिक करके रिकॉर्ड हटाएं। यह कॉलम से रिकॉर्ड हटा देगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/delete_record.gif" alt="Delete Record GIF" style="border-radius:16px"></p>
</p>

### रिकॉर्ड को स्थानांतरित करें

बोर्ड पर अन्य कॉलम रिकॉर्ड सूची में इसे स्थानांतरित करने के लिए रिकॉर्ड को बॉडी या रिकॉर्ड हेडर से खींचें और खींचें।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/move_record.gif" alt="Move Record GIF" style="border-radius:16px"></p>
</p>

### सभी रिकॉर्ड हटाएं

डिलीट आइकन बटन पर क्लिक करके रिकॉर्ड आइकन बटन जोड़ने के अलावा कॉलम से संबंधित सभी रिकॉर्ड को हटा दें। यह कॉलम से पूरी रिकॉर्ड सूची को हटा देगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/delete_all_record.gif" alt="Delete All Record GIF" style="border-radius:16px"></p>
</p>

### मिटाएँ बोर्ड

संपूर्ण बोर्ड को साफ़ करने के लिए टूलबार से डिलीट आइकन बटन पर क्लिक करें। यह बोर्ड के सभी कॉलम और रिकॉर्ड को हटा देगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/clear_board.gif" alt="Clear Board GIF" style="border-radius:16px"></p>
</p>

### भाषा बदलो

आप टूलबार में ग्लोब आइकन बटन पर क्लिक करके एप्लिकेशन की भाषा बदल सकते हैं। मेनू से उपयुक्त भाषा का चयन करें और आवेदन स्थान चयनित भाषा में बदल जाएगा।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/change_language.gif" alt="Change Language GIF" style="border-radius:16px"></p>
</p>

### डार्क मोड टॉगल करें

आप टूलबार से आइकन बटन पर क्लिक करके अंधेरे मोड के बीच टॉगल कर सकते हैं।

<p align="center">
  <img width="650" src="https://nishantpainter.github.io/personal-kanban/toggle_dark_mode.gif" alt="Toggle Dark Mode GIF" style="border-radius:16px"></p>
</p>

## डार्क मोड

डार्क मोड आपको स्क्रीन को अंधेरे में बदलने में मदद करता है (रात के दौरान उपयोग करते समय)। टूलबार आपको आइकन बटन प्रदान करता है जो अंधेरे मोड के लिए ऑन / ऑफ स्विच के रूप में काम करता है।

## स्थानीयकरण

व्यक्तिगत कानबन सहित भाषा के लिए स्थानीय समर्थन प्रदान करता है:

- English
- Français
- Español
- Pусский
- Deutsche
- हिंदी
- 中文
- 日本人

## ऑफ़लाइन उपयोग

सॉफ्टवेयर सेवा श्रमिकों के साथ पंजीकृत है और प्रोग्रेसिव वेब एप्लीकेशन एक के रूप में व्यवहार करता है ([PWA](https://en.wikipedia.org/wiki/Progressive_web_application)). ऑफ़लाइन उपयोग के लिए, आप अपने मोबाइल उपकरणों में सॉफ़्टवेयर को स्थानीय रूप से स्थापित करने के लिए, ब्राउज़र में एप्लिकेशन एक्सेस करते समय *ऐड तो होम* विकल्प का चयन कर सकते हैं।

## डेवलपमेंट

सॉफ्टवेयर बनाया गया है create-react-app का उपयोग करते हुए ([CRA](https://create-react-app.dev/docs/getting-started/)) साथ में [टीपेसक्रिप्ट](https://www.typescriptlang.org/) टेम्पलेटिंग. आप क्लोन कर सकते हैं [पर्सनल कानबन](https://github.com/nishantpainter/personal-kanban) रिपॉजिटरी कस्टम डेवलपमेंट के लिए.

## प्राइवेसी

एप्लिकेशन आपके काम के कॉलम और रिकॉर्ड को बनाए रखने के लिए स्थानीय भंडारण का उपयोग करता है और किसी भी प्रकार के सर्वर पर किसी भी व्यक्तिगत कानबन डेटा को संग्रहीत नहीं करता है। एप्लिकेशन उपयोग का अवलोकन प्राप्त करने के लिए एप्लिकेशन गूगल विश्लेषण का उपयोग करता है।

## अन्य संदर्भ

- [एजाइल सॉफ्टवेयर डेवलपमेंट क्या है](https://en.wikipedia.org/wiki/Agile_software_development)
- [कानबन क्या है](https://www.atlassian.com/agile/kanban)
- [कानबन बोर्ड क्या है](https://en.wikipedia.org/wiki/Kanban_board#:~:text=A%20Kanban%20board%20is%20one,each%20stage%20of%20the%20process.)
- [कानबन vs स्क्रम](https://www.atlassian.com/agile/kanban/kanban-vs-scrum)
